Ticket #27136

半角カナを全角カナに変える(全角英数字を半角英数字に変える)

Open Date: 2012-01-15 08:07 Last Update: 2018-11-01 06:17

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

半角カナを全角カナに変える。全角英数字を半角英数字に変える。

半角カナ・全角英数字は見た目がよくないため

フォーラム: 要望パッチ半角カナを全角カナに 他 より http://sourceforge.jp/forum/forum.php?thread_id=31343&forum_id=27004

Attachment File List

No attachments

Ticket History (3/8 Histories)

2012-01-15 08:07 Updated by: umorigu
  • New Ticket "半角カナを全角カナに変える(全角英数字を半角英数字に変える)" created
2012-01-15 08:16 Updated by: umorigu
  • Details Updated
2012-01-15 08:37 Updated by: umorigu
  • Type Update from Bugs to Patches
2012-01-15 10:14 Updated by: umorigu
  • Owner Update from umorigu to s_kawamoto
  • Resolution Update from None to Fixed
Comment

kana-improvedブランチで対応しました。 http://git.sourceforge.jp/view?p=ffftp/ffftp.git;a=commitdiff;h=54fbba48345efc266d90204375d464738a31c3ba

  • 半角カナを全角カナに変換
  • 全角英数を半角英数に変換
  • 「ホスト一覧」ダイアログのレイアウト調整(全角カナへの変更に伴いボタン幅が足りなくなったため)

問題なければtestブランチへマージお願いします。

2012-01-16 23:04 Updated by: s_kawamoto
Comment

testブランチにマージしました。英語版の文字列も同様に修正しました。 http://git.sourceforge.jp/view?p=ffftp/ffftp.git;a=commit;h=e5ed13349f7b6aad47a886841d0efbbbeaf0a736

2012-01-16 23:08 Updated by: s_kawamoto
2012-02-23 17:24 Updated by: s_kawamoto
  • Ticket Close date is changed to 2012-02-23 17:24
  • Status Update from Open to Closed
Comment

1.98eで実装しました。

2018-11-01 06:17 Updated by: None
Comment

チケット

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login